Bug 1804494 - docker-registry image has ~50M of extra content due to yum cache
Summary: docker-registry image has ~50M of extra content due to yum cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Clayton Coleman
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1804493
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 01:37 UTC by Clayton Coleman
Modified: 2020-03-24 14:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1804493
Environment:
Last Closed: 2020-03-24 14:33:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift image-registry pull 223 None closed [release-4.3] Bug 1804494: Dockerfile: Clear yum cache after install 2020-03-19 20:38:40 UTC
Red Hat Product Errata RHBA-2020:0858 None None None 2020-03-24 14:34:03 UTC

Description Clayton Coleman 2020-02-19 01:37:09 UTC
+++ This bug was initially created as a clone of Bug #1804493 +++

The image is larger than it needs to be due to not clearing its yum cache. Remove the cache.

Backport to 4.3

Comment 3 XiuJuan Wang 2020-03-12 06:02:03 UTC
$oc adm release info --pullspecs registry.svc.ci.openshift.org/ocp/release:4.3.0-0.nightly-2020-03-11-175941 | grep registry 
Pull From: registry.svc.ci.openshift.org/ocp/release@sha256:ca5ca48e7db170e6aa8179134a64bd8d802b2c09c6918d4b69d3f40054afd9a3
  cluster-image-registry-operator               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:cd9d886700c74f9b0f2577cfeb18cfe5830a3a60955e7fb8336804f8c0059d29
  docker-registry                               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:85d56278eb3171fa1658de270814863b4a9aad97dbde99d236b0540b205e8290
$docker pull quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:85d56278eb3171fa1658de270814863b4a9aad97dbde99d236b0540b205e8290

Pull old image which is not included the fix
$oc adm release info --pullspecs registry.svc.ci.openshift.org/ocp/release:4.3.0-0.nightly-2020-03-10-182422  | grep registry
Pull From: registry.svc.ci.openshift.org/ocp/release@sha256:7db60f6da34f84a300e41ee3ef19e1729c521ce06af2e950eb0192a67d01387d
  cluster-image-registry-operator               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b2ded780ac3b3b9d9e8ce301c7940a27758ecbe0d8d6efaefe9f69cf522fc759
  docker-registry                               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2c9875cfe9c5eed490646daa44d390ab5fc52eb71d94b554e7320bfa884d6f83

$docker pull quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2c9875cfe9c5eed490646daa44d390ab5fc52eb71d94b554e7320bfa884d6f83

$docker images | grep art
quay.io/openshift-release-dev/ocp-v4.0-art-dev                                                                                   <none>              15bc1921ecaa        12 hours ago        310MB
quay.io/openshift-release-dev/ocp-v4.0-art-dev                                                                                   <none>              a406731b71ee        41 hours ago        818MB

Compare to old image, the newer image include enhance function is much smaller

Comment 5 errata-xmlrpc 2020-03-24 14:33:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0858


Note You need to log in before you can comment on or make changes to this bug.